#ifndef _SCENARIO_MANAGER_
#define _SCENARIO_MANAGER_

#include "ScenarioList.h"

#include <map>

namespace HPL {
namespace E3D {
/** 
  *
  */
class ScenarioManager {
private:
	std::map<int, ScenarioList*> m_mapScenarioListMap;
public:
	ScenarioManager();
	~ScenarioManager();
private:
	/** 
	  * @param[in]	nUserID			ユーザが指定したID
	  * @param[in]	iScenarioItem	
	  *
	  */
	void set( int nUserID, ScenarioList* iScenarioList );
public:

	/**
	  * @retval	NULL	存在しない
	  */
	ScenarioList* get( int nUserID );

	/**
	  * @retval	0		成功
	  * @retval	0以外	失敗
	  */
	int load_ScenariosFromOneText( const char* lpszFilePath );

	void reset();
};
}
}
#endif
